Finds Knowledge Base Entries that match the given query.
- Base URL
-
https://{kibana_url}
- GET /api/security_ai_assistant/knowledge_base/entries/_find
Finds Knowledge Base Entries that match the given query.
Query parameters
Responses
Successful response containing the paginated Knowledge Base Entries.
-
dataunion anyOf[]required -
The list of Knowledge Base Entries for the current page.
- Any of:
-
usersobject[]required -
Users who have access to the Knowledge Base Entry, defaults to current user. Empty array provides access to all users.
-
idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters.
-
descriptionstringrequired -
Description for when this index or data stream should be queried for Knowledge Base content. Passed to the LLM as a tool description.
-
queryDescriptionstringrequired -
Description of query field used to fetch Knowledge Base content. Passed to the LLM as part of the tool input schema.